Bug 48254 - Bogus "DocumentRoot does not exist" warning when set to a file
Summary: Bogus "DocumentRoot does not exist" warning when set to a file
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.5-HEAD
Hardware: All All
: P2 trivial with 3 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-11-20 13:49 UTC by Bill Clark
Modified: 2020-05-16 17:54 UTC (History)
1 user (show)



Attachments
Patch to elaborate on the warning (568 bytes, patch)
2012-05-01 05:23 UTC, Daniel Gruno
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Clark 2009-11-20 13:49:55 UTC
I often set the DocumentRoot of a vhost to a file (PHP script) to remap requests for all URIs to a single point of entry.  This works just fine and has never given me a problem, but Apache throws a warning about the DocumentRoot not existing.  The existence check should probably just check for existence, and not that the DocumentRoot is a directory (which is what it is apparently doing now) or at least give a more accurate warning ("DocumentRoot is not a directory") or something.
Comment 1 Daniel Gruno 2012-05-01 05:23:36 UTC
Created attachment 28701 [details]
Patch to elaborate on the warning

Here's a simple patch that would elaborate on the warning, stating instead: Warning: DocumentRoot [%s] does not exist or is not a directory
Comment 2 Giovanni Bechis 2020-05-16 17:53:53 UTC
Fixed in r1506474 in a similar way.